package cc.smtweb.system.bpm.web.sys.user.user;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-07-28 20:05:08
 * 实体【[用户机构关系](SYS_USER_PARTY)】的Entity类
 */
@SwTable("SYS_USER_PARTY")
public class UserParty extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_USER_PARTY";

    public UserParty() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sup_id");
    }

    /**
     * 主键
     */
    public void setId(long sup_id) {
        put("sup_id", sup_id);
    }

    /**
     * 机构
     */
    public long getPartyId() {
        return getLong("sup_party_id");
    }

    /**
     * 机构
     */
    public void setPartyId(long sup_party_id) {
        put("sup_party_id", sup_party_id);
    }

    /**
     * 部门
     */
    public long getDeptId() {
        return getLong("sup_dept_id");
    }

    /**
     * 部门
     */
    public void setDeptId(long sup_dept_id) {
        put("sup_dept_id", sup_dept_id);
    }

    /**
     * 用户
     */
    public long getUserId() {
        return getLong("sup_user_id");
    }

    /**
     * 用户
     */
    public void setUserId(long sup_user_id) {
        put("sup_user_id", sup_user_id);
    }
}
